Name:           reposurgeon
Version:        2.42
Release:        1%{?dist}
Summary:        SCM Repository Manipulation Tool
License:        BSD
URL:            http://www.catb.org/~esr/reposurgeon/
Source0:        http://www.catb.org/~esr/reposurgeon/%{name}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  asciidoc
BuildRequires:  python
BuildRequires:  xmlto
Requires:       python

%description
Reposurgeon enables risky operations that version-control systems don't want 
to let you do, such as editing past comments and metadata and removing 
commits. It works with any version control system that can export and import 
git fast-import streams, including git, hg, and bzr.

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
install -pDm755 %{name} %{buildroot}%{_bindir}/%{name}
install -pDm755 repopuller %{buildroot}%{_bindir}/repopuller
install -pDm755 repodiffer %{buildroot}%{_bindir}/repodiffer
install -pDm644 %{name}.1 %{buildroot}%{_mandir}/man1/%{name}.1
install -pDm644 repopuller.1 %{buildroot}%{_mandir}/man1/repopuller.1
install -pDm644 repodiffer.1 %{buildroot}%{_mandir}/man1/repodiffer.1

%files
%doc AUTHORS COPYING NEWS README TODO features.html
%{_bindir}/%{name}
%{_bindir}/repopuller
%{_bindir}/repodiffer
%{_mandir}/man1/%{name}.1*
%{_mandir}/man1/repodiffer.1*
%{_mandir}/man1/repopuller.1*

%changelog
* Thu Nov 21 2013 Christopher Meng <rpm@cicku.me> - 2.42-1
- Prevented crash when tagifying a mixed-branch commit.
- svn_no_autoignores -> svn_noautoignores.
- Ignore single-rev mergeinfos in Subversion, they're cherry-picks.

* Sat Nov 09 2013 Christopher Meng <rpm@cicku.me> - 2.41-1
- Fixed a fatal bug when reading any symlink from a live Subversion repo.
- Added svn_no_autoignores option.

* Thu Aug 08 2013 Christopher Meng <rpm@cicku.me> - 2.40-1
- Update to new release.
- Improvements in .gitignore processing.

* Wed May 29 2013 Christopher Meng <rpm@cicku.me> - 2.39-2
- Add parallel make support.

* Fri May 24 2013 Christopher Meng <rpm@cicku.me> - 2.39-1
- New 'tagify' command for tagifying empty commits.
- Correctness fixes for deletion edge cases.

* Fri May 10 2013 Christopher Meng <rpm@cicku.me> - 2.38-1
- Significant improvements to Subversion branch link detection.
- New 'reparent' command for modifying the DAG.
- Fixes for two minor crash bugs in handling of malformed commands.


* Fri Apr 26 2013 Christopher Meng <rpm@cicku.me> - 2.37-1
- No more tree pollution on branches deduced from file copies.

* Sun Apr 21 2013 Christopher Meng <rpm@cicku.me> - 2.35-1
- New "manifest" command.
- Path-matching now has @ to require all paths in a commit to match.

* Wed Apr 17 2013 Christopher Meng <rpm@cicku.me> - 2.33-1
- Update to new release.

* Sun Apr 07 2013 Christopher Meng <rpm@cicku.me> - 2.32-1
- Initial package.
